Skip to main content
`Ctrl`+`K`

# SNESVIComputeInactiveSetFtY

Computes the directional derivative for variational inequalities on the inactive set, assuming that there exists some \(G(x)\) for which the `SNESFunctionFn` \(F(x) = grad G(x)\) (relevant for some line search algorithms)

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVIComputeInactiveSetFtY(SNES snes, Vec F, Vec X, Vec Y, PetscScalar *fty)

## Input Parameters

- snes - the `SNES` context

- F - the nonlinear function vector

- X - the `SNES` solution vector

- Y - the direction vector

## Output Parameter

- fty - the directional derivative

## Note

See `SNESVINEWTONRSLS` for a concise description of the active and inactive sets

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESVINEWTONRSLS`, `SNESVINEWTONSSLS`

## Level

developer

## Location

src/snes/impls/vi/vi.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages